# JavaClass : Object
Return to: HTML DOM Level 0 index

JavaScript representation of a Java class.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
no | no | 2.0+ | 7.0+ | no

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
JavaClass Constructor() : JavaClass Creates a new instance of a JavaClass. | Show Details | no | no | 2.0+ | 7.0+ | no

### JavaClass() : JavaClass

Creates a new instance of a JavaClass.

Returns

JavaClass |

Visibility
  internal

## References

getClass|JavaArray|JavaObject|JavaPackage|Window.java

## Availability

JavaScript 1.1

text_javascript aptana_docs